commit 2e7a0f49bceb53010e88dec1e922e6496a9df621
Author: Bernd Edlinger <bernd.edlinger@hotmail.de>
Date:   Fri May 28 14:26:02 2021

    diagnostics: Fix sporadic test failure
    
    it turns out to be reproducible this way:
    
    COLUMNS=80 make check-gcc-c RUNTESTFLAGS="plugin.exp=diagnostic*"
    
    Running /home/ed/gnu/gcc-trunk/gcc/testsuite/gcc.dg/plugin/plugin.exp ...
    FAIL: gcc.dg/plugin/diagnostic-test-expressions-1.c
     -fplugin=./diagnostic_plugin_test_tree_expression_range.so  1 blank line(s) in output
    FAIL: gcc.dg/plugin/diagnostic-test-expressions-1.c
     -fplugin=./diagnostic_plugin_test_tree_expression_range.so  expected multiline pattern lines 550-551 not found: "                            __builtin_types_compatible_p \(long, int\) \+ f \(i\)\);.*\n                            ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~\^~~~~~~\n"
    FAIL: gcc.dg/plugin/diagnostic-test-expressions-1.c
     -fplugin=./diagnostic_plugin_test_tree_expression_range.so (test for excess errors)
    
    a lot more errors happen with COLUMNS=20.
    
    2021-05-29  Bernd Edlinger  <bernd.edlinger@hotmail.de>
    
            * gcc.dg/plugin/diagnostic_plugin_show_trees.c (plugin_init): Fix caret_max_with.
            * gcc.dg/plugin/diagnostic_plugin_test_inlining.c
            (plugin_init): Likewise.
            * gcc.dg/plugin/diagnostic_plugin_test_paths.c (plugin_init): Likewise.
            * gcc.dg/plugin/diagnostic_plugin_test_string_literals.c
            (plugin_init): Likewise.
            * gcc.dg/plugin/diagnostic_plugin_test_tree_expression_range.c
            (plugin_init): Likewise.
    
    (cherry picked from commit ade5ac7c7966c8e88a25f448fa737457364935a4)

diff --git a/gcc/testsuite/gcc.dg/plugin/diagnostic_plugin_show_trees.c b/gcc/testsuite/gcc.dg/plugin/diagnostic_plugin_show_trees.c
index 71e6740b178..ac72503d92e 100644
--- a/gcc/testsuite/gcc.dg/plugin/diagnostic_plugin_show_trees.c
+++ b/gcc/testsuite/gcc.dg/plugin/diagnostic_plugin_show_trees.c
@@ -115,6 +115,8 @@ plugin_init (struct plugin_name_args *plugin_info,
   if (!plugin_default_version_check (version, &gcc_version))
     return 1;
 
+  global_dc->caret_max_width = 80;
+
   register_callback (plugin_name,
 		     PLUGIN_PRE_GENERICIZE,
 		     callback,
diff --git a/gcc/testsuite/gcc.dg/plugin/diagnostic_plugin_test_inlining.c b/gcc/testsuite/gcc.dg/plugin/diagnostic_plugin_test_inlining.c
index 49b78ccf1fc..02c4629bc29 100644
--- a/gcc/testsuite/gcc.dg/plugin/diagnostic_plugin_test_inlining.c
+++ b/gcc/testsuite/gcc.dg/plugin/diagnostic_plugin_test_inlining.c
@@ -169,6 +169,8 @@ plugin_init (struct plugin_name_args *plugin_info,
   if (!plugin_default_version_check (version, &gcc_version))
     return 1;
 
+  global_dc->caret_max_width = 80;
+
   pass_info.pass = new pass_test_inlining (g);
   pass_info.reference_pass_name = "*warn_function_noreturn";
   pass_info.ref_pass_instance_number = 1;
diff --git a/gcc/testsuite/gcc.dg/plugin/diagnostic_plugin_test_paths.c b/gcc/testsuite/gcc.dg/plugin/diagnostic_plugin_test_paths.c
index 76728757290..5c2da021553 100644
--- a/gcc/testsuite/gcc.dg/plugin/diagnostic_plugin_test_paths.c
+++ b/gcc/testsuite/gcc.dg/plugin/diagnostic_plugin_test_paths.c
@@ -450,6 +450,8 @@ plugin_init (struct plugin_name_args *plugin_info,
   if (!plugin_default_version_check (version, &gcc_version))
     return 1;
 
+  global_dc->caret_max_width = 80;
+
   pass_info.pass = make_pass_test_show_path (g);
   pass_info.reference_pass_name = "whole-program";
   pass_info.ref_pass_instance_number = 1;
diff --git a/gcc/testsuite/gcc.dg/plugin/diagnostic_plugin_test_string_literals.c b/gcc/testsuite/gcc.dg/plugin/diagnostic_plugin_test_string_literals.c
index cf99697a417..aa73dcae820 100644
--- a/gcc/testsuite/gcc.dg/plugin/diagnostic_plugin_test_string_literals.c
+++ b/gcc/testsuite/gcc.dg/plugin/diagnostic_plugin_test_string_literals.c
@@ -208,6 +208,8 @@ plugin_init (struct plugin_name_args *plugin_info,
   if (!plugin_default_version_check (version, &gcc_version))
     return 1;
 
+  global_dc->caret_max_width = 80;
+
   pass_info.pass = new pass_test_string_literals (g);
   pass_info.reference_pass_name = "ssa";
   pass_info.ref_pass_instance_number = 1;
diff --git a/gcc/testsuite/gcc.dg/plugin/diagnostic_plugin_test_tree_expression_range.c b/gcc/testsuite/gcc.dg/plugin/diagnostic_plugin_test_tree_expression_range.c
index 89cc95acd99..4a89d846dce 100644
--- a/gcc/testsuite/gcc.dg/plugin/diagnostic_plugin_test_tree_expression_range.c
+++ b/gcc/testsuite/gcc.dg/plugin/diagnostic_plugin_test_tree_expression_range.c
@@ -89,6 +89,8 @@ plugin_init (struct plugin_name_args *plugin_info,
   if (!plugin_default_version_check (version, &gcc_version))
     return 1;
 
+  global_dc->caret_max_width = 130;
+
   register_callback (plugin_name,
 		     PLUGIN_PRE_GENERICIZE,
 		     callback,

